Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.skype.ipc
Class SidObject

    java.lang.Object
      com.skype.ipc.SidObject

All Implemented Interfaces:
  SidGetResponding

Direct Known Subclasses:
  Account, Contact, ContactGroup, ContactSearch, Conversation, Message, Participant, Sms, Transfer, Video, Voicemail

    public abstract class SidObject

extends java.lang.Object
implements SidGetResponding

Field Summary
`protected int` | `mSidCached`
`protected int` | `mSidOid`
`protected SidRoot` | `mSidRoot`
`protected int` | `mSidTimestamp`

Constructor Summary
`protected` | `SidObject(java.lang.Integer oid, SidRoot session, int numProps)`

Method Summary
`protected void` | `finalize()`
`int` | `getOid()`
`protected boolean` | `hasCached()`
`void` | `invalidateCache(PropertyEnumConverting property)` invalidateCache: the next time the property is get, it will be querried to the runtime, meanwhile it can be discarded.
`protected boolean` | `isCached(PropertyEnumConverting property)`
`abstract int` | `moduleId()`
`protected Encoding` | `sidDoRequest(byte[] header)`
`byte[]` | `sidGetBinaryProperty(PropertyEnumConverting property)`
`boolean` | `sidGetBoolProperty(PropertyEnumConverting property)`
`EnumConverting` | `sidGetEnumProperty(PropertyEnumConverting property)`
`java.lang.String` | `sidGetFilenameProperty(PropertyEnumConverting property)`
`int` | `sidGetIntProperty(PropertyEnumConverting property)`
`long` | `sidGetLongProperty(PropertyEnumConverting property)`
`SidObject` | `sidGetObject()`
`SidObject` | `sidGetObjectProperty(PropertyEnumConverting property)`
`java.lang.String` | `sidGetStringProperty(PropertyEnumConverting property)`
`int` | `sidGetUintProperty(PropertyEnumConverting property)`
`java.lang.String` | `sidGetXmlProperty(PropertyEnumConverting property)`
`protected SidGetResponding` | `sidMultiGet(PropertyEnumConverting[] requested)`
`protected SidGetResponding` | `sidMultiGet(PropertyEnumConverting[] requested, SidGetResponding response)`
`static SidGetResponding[]` | `sidMultiGet(PropertyEnumConverting[] properties, SidObject[] objects)`
`protected static SidGetResponding[]` | `sidMultiGet(PropertyEnumConverting[] requested, SidObject[] objects, SidGetResponding[] response)`
`protected abstract void` | `sidOnChangedProperty(int propertyId, int value, java.lang.String svalue)`
`protected byte[]` | `sidRequestBinaryProperty(PropertyEnumConverting property)`
`protected boolean` | `sidRequestBoolProperty(PropertyEnumConverting property)`
`protected EnumConverting` | `sidRequestEnumProperty(PropertyEnumConverting property)`
`protected java.lang.String` | `sidRequestFilenameProperty(PropertyEnumConverting property)`
`protected int` | `sidRequestIntProperty(PropertyEnumConverting property)`
`protected SidObject` | `sidRequestObjectProperty(PropertyEnumConverting property)`
`protected int` | `sidRequestProperty(PropertyEnumConverting property)`
`protected java.lang.String` | `sidRequestStringProperty(PropertyEnumConverting property)`
`protected int` | `sidRequestUintProperty(PropertyEnumConverting property)`
`protected java.lang.String` | `sidRequestXmlProperty(PropertyEnumConverting property)`
`void` | `sidSetProperty(PropertyEnumConverting property, byte[] value)`
`void` | `sidSetProperty(PropertyEnumConverting property, int value)`
`void` | `sidSetProperty(PropertyEnumConverting property, long value)`
`void` | `sidSetProperty(PropertyEnumConverting property, SidObject value)`
`void` | `sidSetProperty(PropertyEnumConverting property, java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mSidCached

    protected int mSidCached

### mSidOid

    protected int mSidOid

### mSidRoot

    protected SidRoot mSidRoot

### mSidTimestamp

    protected int mSidTimestamp

Constructor Detail

### SidObject

    protected SidObject(java.lang.Integer oid,
                        SidRoot session,
                        int numProps)

Method Detail

### finalize

    protected void finalize()

  Overrides:
    `finalize` in class `java.lang.Object`

### sidGetObject

    public SidObject sidGetObject()

  Specified by:
    `sidGetObject` in interface `SidGetResponding`

### sidGetBoolProperty

    public boolean sidGetBoolProperty(PropertyEnumConverting property)

  Specified by:
    `sidGetBoolProperty` in interface `SidGetResponding`

### sidGetStringProperty

    public java.lang.String sidGetStringProperty(PropertyEnumConverting property)

  Specified by:
    `sidGetStringProperty` in interface `SidGetResponding`

### sidGetXmlProperty

    public java.lang.String sidGetXmlProperty(PropertyEnumConverting property)

  Specified by:
    `sidGetXmlProperty` in interface `SidGetResponding`

### sidGetFilenameProperty

    public java.lang.String sidGetFilenameProperty(PropertyEnumConverting property)

  Specified by:
    `sidGetFilenameProperty` in interface `SidGetResponding`

### sidGetIntProperty

    public int sidGetIntProperty(PropertyEnumConverting property)

  Specified by:
    `sidGetIntProperty` in interface `SidGetResponding`

### sidGetUintProperty

    public int sidGetUintProperty(PropertyEnumConverting property)

  Specified by:
    `sidGetUintProperty` in interface `SidGetResponding`

### sidGetLongProperty

    public long sidGetLongProperty(PropertyEnumConverting property)

  Specified by:
    `sidGetLongProperty` in interface `SidGetResponding`

### sidGetObjectProperty

    public SidObject sidGetObjectProperty(PropertyEnumConverting property)

  Specified by:
    `sidGetObjectProperty` in interface `SidGetResponding`

### sidGetEnumProperty

    public EnumConverting sidGetEnumProperty(PropertyEnumConverting property)

  Specified by:
    `sidGetEnumProperty` in interface `SidGetResponding`

### sidGetBinaryProperty

    public byte[] sidGetBinaryProperty(PropertyEnumConverting property)

  Specified by:
    `sidGetBinaryProperty` in interface `SidGetResponding`

### sidSetProperty

    public void sidSetProperty(PropertyEnumConverting property,
                               SidObject value)

  Specified by:
    `sidSetProperty` in interface `SidGetResponding`

### sidSetProperty

    public void sidSetProperty(PropertyEnumConverting property,
                               int value)

  Specified by:
    `sidSetProperty` in interface `SidGetResponding`

### sidSetProperty

    public void sidSetProperty(PropertyEnumConverting property,
                               java.lang.String value)

  Specified by:
    `sidSetProperty` in interface `SidGetResponding`

### sidSetProperty

    public void sidSetProperty(PropertyEnumConverting property,
                               byte[] value)

  Specified by:
    `sidSetProperty` in interface `SidGetResponding`

### sidSetProperty

    public void sidSetProperty(PropertyEnumConverting property,
                               long value)

  Specified by:
    `sidSetProperty` in interface `SidGetResponding`

### sidRequestObjectProperty

    protected SidObject sidRequestObjectProperty(PropertyEnumConverting property)

### sidRequestStringProperty

    protected java.lang.String sidRequestStringProperty(PropertyEnumConverting property)

### sidRequestBinaryProperty

    protected byte[] sidRequestBinaryProperty(PropertyEnumConverting property)

### sidRequestIntProperty

    protected int sidRequestIntProperty(PropertyEnumConverting property)

### sidRequestUintProperty

    protected int sidRequestUintProperty(PropertyEnumConverting property)

### sidRequestProperty

    protected int sidRequestProperty(PropertyEnumConverting property)

### sidRequestBoolProperty

    protected boolean sidRequestBoolProperty(PropertyEnumConverting property)

### sidRequestEnumProperty

    protected EnumConverting sidRequestEnumProperty(PropertyEnumConverting property)

### sidRequestXmlProperty

    protected java.lang.String sidRequestXmlProperty(PropertyEnumConverting property)

### sidRequestFilenameProperty

    protected java.lang.String sidRequestFilenameProperty(PropertyEnumConverting property)

### sidOnChangedProperty

    protected abstract void sidOnChangedProperty(int propertyId,
                                                 int value,
                                                 java.lang.String svalue)

### moduleId

    public abstract int moduleId()

### getOid

    public int getOid()

### sidDoRequest

    protected Encoding sidDoRequest(byte[] header)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### sidMultiGet

    public static SidGetResponding[] sidMultiGet(PropertyEnumConverting[] properties,
                                                 SidObject[] objects)

### invalidateCache

    public void invalidateCache(PropertyEnumConverting property)

  invalidateCache: the next time the property is get, it will be querried to the runtime, meanwhile it can be discarded. This allows fine grained cache management. Note that this doesn't delete the property, you still have to set it to null to get a chance having this behavior. The rationale if that the generated properties being public, you can directly assign it to null whilst a generated invalidateCache would require switching on the values to do so. C o; o.invalidate(C.Property.P_MY_PROP); o.mMyProp = null;

  Parameters:
    `property` - the property to be invalidated

### isCached

    protected boolean isCached(PropertyEnumConverting property)

### hasCached

    protected boolean hasCached()

### sidMultiGet

    protected SidGetResponding sidMultiGet(PropertyEnumConverting[] requested)

### sidMultiGet

    protected SidGetResponding sidMultiGet(PropertyEnumConverting[] requested,
                                           SidGetResponding response)

### sidMultiGet

    protected static SidGetResponding[] sidMultiGet(PropertyEnumConverting[] requested,
                                                    SidObject[] objects,
                                                    SidGetResponding[] response)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.